SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | Static Protected Attributes | List of all members
WSAStartupSingleton Class Reference

`#include <slikenet/WSAStartupSingleton.h>`

## Public Member Functions

| WSAStartupSingleton ()
| ~WSAStartupSingleton ()

## Static Public Member Functions

static void | AddRef (void)
static void | Deref (void)

## Static Protected Attributes

static int | refCount =0

## Detailed Description

Definition at line 14 of file WSAStartupSingleton.h.

## Constructor & Destructor Documentation

WSAStartupSingleton::WSAStartupSingleton | ( |  | ) |

Definition at line 44 of file WSAStartupSingleton.cpp.

WSAStartupSingleton::~WSAStartupSingleton | ( |  | ) |

Definition at line 45 of file WSAStartupSingleton.cpp.

## Member Function Documentation

void WSAStartupSingleton::AddRef | ( | void |  | ) |

static

Definition at line 46 of file WSAStartupSingleton.cpp.

References _T, RAKNET_DEBUG_TPRINTF, and refCount.

Referenced by SLNet::SystemAddress::FromString(), and SLNet::RakPeer::RakPeer().

void WSAStartupSingleton::Deref | ( | void |  | ) |

static

Definition at line 77 of file WSAStartupSingleton.cpp.

References refCount.

Referenced by SLNet::SystemAddress::FromString(), and SLNet::RakPeer::~RakPeer().

## Member Data Documentation

int WSAStartupSingleton::refCount =0

staticprotected

Definition at line 23 of file WSAStartupSingleton.h.

Referenced by AddRef(), and Deref().

The documentation for this class was generated from the following files:

- Source/include/slikenet/WSAStartupSingleton.h
- Source/src/WSAStartupSingleton.cpp